Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend.configuration
Class MaskedProperty

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  org.hibernate.search.backend.configuration.MaskedProperty

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class MaskedProperty

extends java.util.Properties
implements java.io.Serializable

A wrapper to Properties, to restrict the availability of values to only those which have a key beginning with some masking String. Supported methods to enumerate the list of properties are: - propertyNames() - keySet() - keys() Other methods including methods returning Entries and values are not supported

Author:
  Sanne Grinovero, Emmanuel Bernard
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`MaskedProperty(java.util.Properties propsToMask, java.lang.String mask)` Provides a view to the provided Properties hiding all keys not starting with some [mask.].
`MaskedProperty(java.util.Properties propsToMask, java.lang.String mask, java.util.Properties propsFallBack)` Provides a view to the provided Properties hiding all keys not starting with some [mask.].

Method Summary
`void` | `clear()`
`java.lang.Object` | `clone()`
`boolean` | `contains(java.lang.Object value)`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Enumeration<java.lang.Object>` | `elements()`
`java.util.Set<java.util.Map.Entry<java.lang.Object,java.lang.Object>>` | `entrySet()`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `get(java.lang.Object key)`
`java.lang.String` | `getProperty(java.lang.String key)`
`java.lang.String` | `getProperty(java.lang.String key, java.lang.String defaultValue)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.util.Enumeration<java.lang.Object>` | `keys()`
`java.util.Set<java.lang.Object>` | `keySet()`
`void` | `list(java.io.PrintStream out)`
`void` | `list(java.io.PrintWriter out)`
`void` | `load(java.io.InputStream inStream)`
`void` | `loadFromXML(java.io.InputStream in)`
`java.util.Enumeration<?>` | `propertyNames()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map<? extends java.lang.Object,? extends java.lang.Object> t)`
`protected void` | `rehash()`
`java.lang.Object` | `remove(java.lang.Object key)`
`void` | `save(java.io.OutputStream out, java.lang.String comments)`
`java.lang.Object` | `setProperty(java.lang.String key, java.lang.String value)`
`int` | `size()`
`void` | `store(java.io.OutputStream out, java.lang.String comments)`
`void` | `storeToXML(java.io.OutputStream os, java.lang.String comment)`
`void` | `storeToXML(java.io.OutputStream os, java.lang.String comment, java.lang.String encoding)`
`java.lang.String` | `toString()`
`java.util.Collection<java.lang.Object>` | `values()`

Methods inherited from class java.util.Properties
`load, store, stringPropertyNames`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MaskedProperty

    public MaskedProperty(java.util.Properties propsToMask,
                          java.lang.String mask)

  Provides a view to the provided Properties hiding all keys not starting with some [mask.].

  Parameters:
    `propsToMask` - the Properties containing the values.
    `mask` -

### MaskedProperty

    public MaskedProperty(java.util.Properties propsToMask,
                          java.lang.String mask,
                          java.util.Properties propsFallBack)

  Provides a view to the provided Properties hiding all keys not starting with some [mask.]. If no value is found then a value is returned from propsFallBack, without masking.

  Parameters:
    `propsToMask` -
    `mask` -
    `propsFallBack` -

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String key)

  Overrides:
    `getProperty` in class `java.util.Properties`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `containsKey` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.IllegalArgumentException` - if the key is not a String instance

### getProperty

    public java.lang.String getProperty(java.lang.String key,
                                        java.lang.String defaultValue)

  Overrides:
    `getProperty` in class `java.util.Properties`

### list

    public void list(java.io.PrintStream out)

  Overrides:
    `list` in class `java.util.Properties`
  Throws:
    `java.lang.UnsupportedOperationException`

### list

    public void list(java.io.PrintWriter out)

  Overrides:
    `list` in class `java.util.Properties`
  Throws:
    `java.lang.UnsupportedOperationException`

### load

    public void load(java.io.InputStream inStream)
              throws java.io.IOException

  Overrides:
    `load` in class `java.util.Properties`
  Throws:
    `java.lang.UnsupportedOperationException`
    `java.io.IOException`

### loadFromXML

    public void loadFromXML(java.io.InputStream in)
                     throws java.io.IOException,
                            java.util.InvalidPropertiesFormatException

  Overrides:
    `loadFromXML` in class `java.util.Properties`
  Throws:
    `java.lang.UnsupportedOperationException`
    `java.io.IOException`
    `java.util.InvalidPropertiesFormatException`

### propertyNames

    public java.util.Enumeration<?> propertyNames()

  Overrides:
    `propertyNames` in class `java.util.Properties`

### save

    public void save(java.io.OutputStream out,
                     java.lang.String comments)

  Overrides:
    `save` in class `java.util.Properties`
  Throws:
    `java.lang.UnsupportedOperationException`

### setProperty

    public java.lang.Object setProperty(java.lang.String key,
                                        java.lang.String value)

  Overrides:
    `setProperty` in class `java.util.Properties`
  Throws:
    `java.lang.UnsupportedOperationException`

### store

    public void store(java.io.OutputStream out,
                      java.lang.String comments)
               throws java.io.IOException

  Overrides:
    `store` in class `java.util.Properties`
  Throws:
    `java.lang.UnsupportedOperationException`
    `java.io.IOException`

### storeToXML

    public void storeToXML(java.io.OutputStream os,
                           java.lang.String comment,
                           java.lang.String encoding)
                    throws java.io.IOException

  Overrides:
    `storeToXML` in class `java.util.Properties`
  Throws:
    `java.lang.UnsupportedOperationException`
    `java.io.IOException`

### storeToXML

    public void storeToXML(java.io.OutputStream os,
                           java.lang.String comment)
                    throws java.io.IOException

  Overrides:
    `storeToXML` in class `java.util.Properties`
  Throws:
    `java.lang.UnsupportedOperationException`
    `java.io.IOException`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `clear` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException`

### contains

    public boolean contains(java.lang.Object value)

  Overrides:
    `contains` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `containsValue` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException`

### elements

    public java.util.Enumeration<java.lang.Object> elements()

  Overrides:
    `elements` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException`

### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.Object,java.lang.Object>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `entrySet` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `get` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `isEmpty` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### keys

    public java.util.Enumeration<java.lang.Object> keys()

  Overrides:
    `keys` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException`

### keySet

    public java.util.Set<java.lang.Object> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `keySet` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `put` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException`

### putAll

    public void putAll(java.util.Map<? extends java.lang.Object,? extends java.lang.Object> t)

  Specified by:
    `putAll` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `putAll` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException`

### rehash

    protected void rehash()

  Overrides:
    `rehash` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `remove` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `size` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### values

    public java.util.Collection<java.lang.Object> values()

  Specified by:
    `values` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `values` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `hashCode` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `equals` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.